import request from "@/scripts/httpRequest";


//新增购物车商品
export const addShopcartProd = (data: any) => request({
    url: '/data/api-s/cart/add',
    method: 'post',
    data
});

//删除购物车商品
export const delShopcartProd = (data: any) => request({
    url: '/data/api-s/cart/delete',
    method: 'post',
    data
});

//显示本人购物车商品列表
export const findShopList = () => request({
    url: '/data/api-s/cart/findMyCart',
    method: 'post'
});

//修改购物车中产品配置参数
export const saveCartSettings = (data: any) => request({
    url: '/data/api-s/cart/saveSettingByCartId',
    method: 'post',
    data
});

//确认订单
export const resumeOrder = (data:any) => request({
    url: '/saas/api-s/saasOrder/addOrder',
    method: 'post',
    data
});